Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:33 2009

## Asterisk developer's documentation

# ast_translator_pvt Struct Reference

Collaboration diagram for ast_translator_pvt:

[legend]

## Data Fields

SpeexBits | bits
short | buf [8000]
iLBC_Dec_Inst_t | dec
int | dstfmt
iLBC_Enc_Inst_t | enc
struct ast_frame | f
int | fake
int | fd
int | framesize
gsm | gsm
struct zt_transcode_header * | hdr
int | inuse
int | longer
union {
struct lpc10_decoder_state * dec
struct lpc10_encoder_state * enc
} | lpc10
char | offset [AST_FRIENDLY_OFFSET]
short | outbuf [8000]
plc_state_t | plc
int | samples
int | silent_state
void * | speex
int | srcfmt
int | tail

## Detailed Description

Definition at line 62 of file codec_gsm.c.

## Field Documentation

SpeexBits bits

Definition at line 91 of file codec_speex.c.

Referenced by lintospeex_destroy(), lintospeex_frameout(), speextolin_destroy(), and speextolin_framein().

short buf

Definition at line 70 of file codec_gsm.c.

Referenced by gsmtolin_framein(), gsmtolin_frameout(), ilbctolin_framein(), ilbctolin_frameout(), lintogsm_framein(), lintogsm_frameout(), lintoilbc_framein(), lintoilbc_frameout(), lintolpc10_framein(), lintolpc10_frameout(), lintospeex_framein(), lintospeex_frameout(), lpc10tolin_framein(), lpc10tolin_frameout(), speextolin_framein(), and speextolin_frameout().

struct lpc10_decoder_state* dec`[read]`

Definition at line 72 of file codec_lpc10.c.

iLBC_Dec_Inst_t dec

Definition at line 63 of file codec_ilbc.c.

Referenced by ilbctolin_framein(), and lpc10tolin_framein().

int dstfmt

Definition at line 97 of file codec_zap.c.

Referenced by zap_destroy(), zap_framein(), zap_new_alawtog723(), zap_new_alawtog729(), zap_new_g723toalaw(), zap_new_g723toulaw(), zap_new_g729toalaw(), zap_new_g729toulaw(), zap_new_ulawtog723(), and zap_new_ulawtog729().

struct lpc10_encoder_state* enc`[read]`

Definition at line 71 of file codec_lpc10.c.

iLBC_Enc_Inst_t enc

Definition at line 62 of file codec_ilbc.c.

Referenced by lintoilbc_frameout(), lintolpc10_frameout(), and lpc10_destroy().

struct ast_frame f`[read]`

Definition at line 64 of file codec_gsm.c.

Referenced by gsmtolin_frameout(), ilbctolin_frameout(), lintogsm_frameout(), lintoilbc_frameout(), lintolpc10_frameout(), lintospeex_frameout(), lpc10tolin_frameout(), speextolin_frameout(), and zap_frameout().

int fake

Definition at line 94 of file codec_zap.c.

Referenced by zap_framein(), and zap_frameout().

int fd

Definition at line 93 of file codec_zap.c.

Referenced by zap_destroy(), zap_frameout(), zap_new_alawtog723(), zap_new_alawtog729(), zap_new_g723toalaw(), zap_new_g723toulaw(), zap_new_g729toalaw(), zap_new_g729toulaw(), zap_new_ulawtog723(), and zap_new_ulawtog729().

int framesize

Definition at line 92 of file codec_speex.c.

Referenced by lintospeex_frameout(), and speextolin_framein().

gsm gsm

Definition at line 63 of file codec_gsm.c.

Referenced by gsm_destroy_stuff(), gsmtolin_framein(), and lintogsm_frameout().

struct zt_transcode_header* hdr`[read]`

Definition at line 103 of file codec_zap.c.

Referenced by zap_destroy(), zap_framein(), zap_frameout(), zap_new_alawtog723(), zap_new_alawtog729(), zap_new_g723toalaw(), zap_new_g723toulaw(), zap_new_g729toalaw(), zap_new_g729toulaw(), zap_new_ulawtog723(), and zap_new_ulawtog729().

int inuse

Definition at line 95 of file codec_zap.c.

Referenced by zap_destroy(), and zap_framein().

int longer

Definition at line 82 of file codec_lpc10.c.

Referenced by lintolpc10_frameout().

union { ... } lpc10

Referenced by lintolpc10_frameout(), lpc10_destroy(), and lpc10tolin_framein().

char offset

Definition at line 66 of file codec_gsm.c.

short outbuf

Definition at line 68 of file codec_gsm.c.

Referenced by lintogsm_frameout(), lintoilbc_frameout(), lintolpc10_frameout(), and lintospeex_frameout().

plc_state_t plc

Definition at line 72 of file codec_gsm.c.

Referenced by gsmtolin_framein(), and lpc10tolin_framein().

int samples

Definition at line 96 of file codec_zap.c.

Referenced by zap_framein(), and zap_frameout().

int silent_state

Definition at line 107 of file codec_speex.c.

Referenced by lintospeex_frameout().

void* speex

Definition at line 89 of file codec_speex.c.

Referenced by lintospeex_destroy(), lintospeex_frameout(), speextolin_destroy(), and speextolin_framein().

int srcfmt

Definition at line 98 of file codec_zap.c.

Referenced by zap_new_alawtog723(), zap_new_alawtog729(), zap_new_g723toalaw(), zap_new_g723toulaw(), zap_new_g729toalaw(), zap_new_g729toulaw(), zap_new_ulawtog723(), and zap_new_ulawtog729().

int tail

Definition at line 71 of file codec_gsm.c.

Referenced by gsmtolin_framein(), gsmtolin_frameout(), ilbctolin_framein(), ilbctolin_frameout(), lintogsm_framein(), lintogsm_frameout(), lintoilbc_framein(), lintoilbc_frameout(), lintolpc10_framein(), lintolpc10_frameout(), lintospeex_framein(), lintospeex_frameout(), lpc10tolin_framein(), lpc10tolin_frameout(), speextolin_framein(), and speextolin_frameout().

The documentation for this struct was generated from the following files:

- codec_gsm.c
- codec_ilbc.c
- codec_lpc10.c
- codec_speex.c
- codec_zap.c